CCRmtype (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs.optional.clearcase, class: CCRmtype

# Class CCRmtype

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
org.apache.tools.ant.taskdefs.optional.clearcase.ClearCase
org.apache.tools.ant.taskdefs.optional.clearcase.CCRmtype

All Implemented Interfaces:
  `Cloneable`

public class CCRmtype extends ClearCase
Task to perform rmtype command to ClearCase.

The following attributes are interpreted:

Task attributes
Attribute | Values | Required
--- | --- | ---
typekind | The kind of type to create. Valid types are: attype attribute type brtype branch type eltype element type hltype hyperlink type lbtype label type trtype trigger type | Yes
typename | The name of the type to remove | Yes
vob | Name of the VOB | No
ignore | Used with trigger types only. Forces removal of trigger type even if a pre-operation trigger would prevent its removal | No
rmall | Removes all instances of a type and the type object itself | No
comment | Specify a comment. Only one of comment or cfile may be used. | No
commentfile | Specify a file containing a comment. Only one of comment or cfile may be used. | No
failonerr | Throw an exception if the command fails. Default is true | No

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `FLAG_COMMENT`
  -c flag -- comment to attach to the file
  `static final String`
  `FLAG_COMMENTFILE`
  -cfile flag -- file containing a comment to attach to the file
  `static final String`
  `FLAG_FORCE`
  -force flag -- suppresses confirmation prompts
  `static final String`
  `FLAG_IGNORE`
  -ignore flag -- ignore pre-trigger operations when removing a trigger type
  `static final String`
  `FLAG_NOCOMMENT`
  -nc flag -- no comment is specified
  `static final String`
  `FLAG_RMALL`
  -rmall flag -- removes all instances of a type and the type object itself

  ### Fields inherited from class ClearCase

  `COMMAND_CHECKIN, COMMAND_CHECKOUT, COMMAND_LOCK, COMMAND_LSCO, COMMAND_MKATTR, COMMAND_MKBL, COMMAND_MKDIR, COMMAND_MKELEM, COMMAND_MKLABEL, COMMAND_MKLBTYPE, COMMAND_RMTYPE, COMMAND_UNCHECKOUT, COMMAND_UNLOCK, COMMAND_UPDATE`
  Modifier and Type
  Field
  Description
  `static final String`
  `COMMAND_CHECKIN`
  The 'Checkin' command
  `static final String`
  `COMMAND_CHECKOUT`
  The 'Checkout' command
  `static final String`
  `COMMAND_LOCK`
  The 'Lock' command
  `static final String`
  `COMMAND_LSCO`
  The 'LsCheckout' command
  `static final String`
  `COMMAND_MKATTR`
  The 'Mkattr' command
  `static final String`
  `COMMAND_MKBL`
  The 'Mkbl' command
  `static final String`
  `COMMAND_MKDIR`
  The 'Mkdir' command
  `static final String`
  `COMMAND_MKELEM`
  The 'Mkelem' command
  `static final String`
  `COMMAND_MKLABEL`
  The 'Mklabel' command
  `static final String`
  `COMMAND_MKLBTYPE`
  The 'Mklbtype' command
  `static final String`
  `COMMAND_RMTYPE`
  The 'Rmtype' command
  `static final String`
  `COMMAND_UNCHECKOUT`
  The 'UndoCheckout' command
  `static final String`
  `COMMAND_UNLOCK`
  The 'Unlock' command
  `static final String`
  `COMMAND_UPDATE`
  The 'Update' command

  ### Fields inherited from class Task

  `target, taskName, taskType, wrapper`
  Modifier and Type
  Field
  Description
  `protected Target`
  `target`
  Deprecated.
  since 1.6.x.
  `protected String`
  `taskName`
  Deprecated.
  since 1.6.x.
  `protected String`
  `taskType`
  Deprecated.
  since 1.6.x.
  `protected RuntimeConfigurable`
  `wrapper`
  Deprecated.
  since 1.6.x.

  ### Fields inherited from class ProjectComponent

  `description, location, project`
  Modifier and Type
  Field
  Description
  `protected String`
  `description`
  Deprecated.
  since 1.6.x.
  `protected Location`
  `location`
  Deprecated.
  since 1.6.x.
  `protected Project`
  `project`
  Deprecated.
  since 1.6.x.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CCRmtype()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `execute()`
  Executes the task.
  `String`
  `getComment()`
  Get comment string
  `String`
  `getCommentFile()`
  Get comment file
  `boolean`
  `getIgnore()`
  Get ignore flag status
  `boolean`
  `getRmAll()`
  Get rmall flag status
  `String`
  `getTypeKind()`
  Get type-kind string
  `String`
  `getTypeName()`
  Get type-name string
  `String`
  `getVOB()`
  Get VOB name
  `void`
  `setComment(String comment)`
  Set comment string
  `void`
  `setCommentFile(String cfile)`
  Set comment file
  `void`
  `setIgnore(boolean ignore)`
  Set the ignore flag
  `void`
  `setRmAll(boolean rmall)`
  Set rmall flag
  `void`
  `setTypeKind(String tk)`
  Set type-kind string
  `void`
  `setTypeName(String tn)`
  Set type-name string
  `void`
  `setVOB(String vob)`
  Set the VOB name

  ### Methods inherited from class ClearCase

  `getClearToolCommand, getFailOnErr, getObjSelect, getViewPath, getViewPathBasename, run, runS, runS, setClearToolDir, setFailOnErr, setObjSelect, setViewPath`
  Modifier and Type
  Method
  Description
  `protected final String`
  `getClearToolCommand()`
  Builds and returns the command string to execute cleartool
  `boolean`
  `getFailOnErr()`
  Get failonerr flag status
  `String`
  `getObjSelect()`
  Get the object to operate on
  `String`
  `getViewPath()`
  Get the path to the item in a clearcase view
  `String`
  `getViewPathBasename()`
  Get the basename path of the item in a clearcase view
  `protected int`
  `run(Commandline cmd)`
  Execute the given command are return success or failure
  `protected String`
  `runS(Commandline cmdline)`
  Deprecated.
  use the two arg version instead
  `protected String`
  `runS(Commandline cmdline, boolean failOnError)`
  Execute the given command, and return it's output
  `final void`
  `setClearToolDir(String dir)`
  Set the directory where the cleartool executable is located.
  `void`
  `setFailOnErr(boolean failonerr)`
  If true, command will throw an exception on failure.
  `final void`
  `setObjSelect(String objSelect)`
  Set the object to operate on.
  `final void`
  `setViewPath(String viewPath)`
  Set the path to the item in a ClearCase view to operate on.

  ### Methods inherited from class Task

  `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`
  Modifier and Type
  Method
  Description
  `final void`
  `bindToOwner(Task owner)`
  Bind a task to another; use this when configuring a newly created task to do work on behalf of another.
  `Target`
  `getOwningTarget()`
  Returns the container target of this task.
  `RuntimeConfigurable`
  `getRuntimeConfigurableWrapper()`
  Returns the wrapper used for runtime configuration.
  `String`
  `getTaskName()`
  Returns the name to use in logging messages.
  `String`
  `getTaskType()`
  Return the type of task.
  `protected RuntimeConfigurable`
  `getWrapper()`
  Return the runtime configurable structure for this task.
  `protected void`
  `handleErrorFlush(String output)`
  Handles an error line by logging it with the WARN priority.
  `protected void`
  `handleErrorOutput(String output)`
  Handles an error output by logging it with the WARN priority.
  `protected void`
  `handleFlush(String output)`
  Handles output by logging it with the INFO priority.
  `protected int`
  `handleInput(byte[] buffer, int offset, int length)`
  Handle an input request by this task.
  `protected void`
  `handleOutput(String output)`
  Handles output by logging it with the INFO priority.
  `void`
  `init()`
  Called by the project to let the task initialize properly.
  `protected final boolean`
  `isInvalid()`
  Has this task been marked invalid?
  `void`
  `log(String msg)`
  Logs a message with the default (INFO) priority.
  `void`
  `log(String msg, int msgLevel)`
  Logs a message with the given priority.
  `void`
  `log(String msg, Throwable t, int msgLevel)`
  Logs a message with the given priority.
  `void`
  `log(Throwable t, int msgLevel)`
  Logs a message with the given priority.
  `void`
  `maybeConfigure()`
  Configures this task - if it hasn't been done already.
  `final void`
  `perform()`
  Performs this task if it's still valid, or gets a replacement version and performs that otherwise.
  `void`
  `reconfigure()`
  Force the task to be reconfigured from its RuntimeConfigurable.
  `void`
  `setOwningTarget(Target target)`
  Sets the target container of this task.
  `void`
  `setRuntimeConfigurableWrapper(RuntimeConfigurable wrapper)`
  Sets the wrapper to be used for runtime configuration.
  `void`
  `setTaskName(String name)`
  Sets the name to use in logging messages.
  `void`
  `setTaskType(String type)`
  Sets the name with which the task has been invoked.

  ### Methods inherited from class ProjectComponent

  `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`
  Modifier and Type
  Method
  Description
  `Object`
  `clone()`
  `String`
  `getDescription()`
  Returns the description of the current action.
  `Location`
  `getLocation()`
  Returns the file/location where this task was defined.
  `Project`
  `getProject()`
  Returns the project to which this component belongs.
  `void`
  `setDescription(String desc)`
  Sets a description of the current action.
  `void`
  `setLocation(Location location)`
  Sets the file/location where this task was defined.
  `void`
  `setProject(Project project)`
  Sets the project object of this component.

  ### Methods inherited from class Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### FLAG_IGNORE

    public static final String FLAG_IGNORE
    -ignore flag -- ignore pre-trigger operations when removing a trigger type
    See Also:
      - Constant Field Values

  - ### FLAG_RMALL

    public static final String FLAG_RMALL
    -rmall flag -- removes all instances of a type and the type object itself
    See Also:
      - Constant Field Values

  - ### FLAG_FORCE

    public static final String FLAG_FORCE
    -force flag -- suppresses confirmation prompts
    See Also:
      - Constant Field Values

  - ### FLAG_COMMENT

    public static final String FLAG_COMMENT
    -c flag -- comment to attach to the file
    See Also:
      - Constant Field Values

  - ### FLAG_COMMENTFILE

    public static final String FLAG_COMMENTFILE
    -cfile flag -- file containing a comment to attach to the file
    See Also:
      - Constant Field Values

  - ### FLAG_NOCOMMENT

    public static final String FLAG_NOCOMMENT
    -nc flag -- no comment is specified
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CCRmtype

    public CCRmtype()

- ## Method Details

  - ### execute

    public void execute() throws BuildException
    Executes the task.

    Builds a command line to execute cleartool and then calls Exec's run method to execute the command line.

    Overrides:
      `execute` in class `Task`
    Throws:
      `BuildException` - if the command fails and failonerr is set to true

  - ### setIgnore

    public void setIgnore(boolean ignore)
    Set the ignore flag
    Parameters:
      `ignore` - the status to set the flag to

  - ### getIgnore

    public boolean getIgnore()
    Get ignore flag status
    Returns:
      boolean containing status of ignore flag

  - ### setRmAll

    public void setRmAll(boolean rmall)
    Set rmall flag
    Parameters:
      `rmall` - the status to set the flag to

  - ### getRmAll

    public boolean getRmAll()
    Get rmall flag status
    Returns:
      boolean containing status of rmall flag

  - ### setComment

    public void setComment(String comment)
    Set comment string
    Parameters:
      `comment` - the comment string

  - ### getComment

    public String getComment()
    Get comment string
    Returns:
      String containing the comment

  - ### setCommentFile

    public void setCommentFile(String cfile)
    Set comment file
    Parameters:
      `cfile` - the path to the comment file

  - ### getCommentFile

    public String getCommentFile()
    Get comment file
    Returns:
      String containing the path to the comment file

  - ### setTypeKind

    public void setTypeKind(String tk)
    Set type-kind string
    Parameters:
      `tk` - the type-kind string

  - ### getTypeKind

    public String getTypeKind()
    Get type-kind string
    Returns:
      String containing the type-kind

  - ### setTypeName

    public void setTypeName(String tn)
    Set type-name string
    Parameters:
      `tn` - the type-name string

  - ### getTypeName

    public String getTypeName()
    Get type-name string
    Returns:
      String containing the type-name

  - ### setVOB

    public void setVOB(String vob)
    Set the VOB name
    Parameters:
      `vob` - the VOB name

  - ### getVOB

    public String getVOB()
    Get VOB name
    Returns:
      String containing VOB name